Page MenuHomePhabricator

[SDC] Build a depicts tag suggestion tool that is powered by machine vision platforms
Closed, ResolvedPublic

Description

This is the master ticket for the work needed to build a tool that will suggest depicts tags based on image content as determined by a machine vision platform.

Initial High-level requirements:

  • A new Special page where suggested tags can be confirmed by users
  • Integration with new "middle-ware" that sits between WMF code and the machine vision API
  • Integration with notifications system to inform users when their uploads have been processed through the vision system and have tags ready for confirmation.

Related Objects

StatusSubtypeAssignedTask
ResolvedRamsey-WMF
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
Resolvedsbassett
ResolvedMholloway
ResolvedMarostegui
ResolvedMholloway
ResolvedKrinkle
ResolvedMholloway
OpenNone
ResolvedRamsey-WMF
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
ResolvedMholloway
DeclinedReedy
ResolvedMholloway
InvalidNone
Resolvedsbassett
ResolvedMholloway
DeclinedNone
ResolvedTgr
OpenNone
ResolvedMiriam
ResolvedMhurd

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 17 2019, 5:44 PM
Ramsey-WMF triaged this task as Medium priority.Jun 25 2019, 3:22 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.
Mhurd added a subscriber: Mhurd.Jun 25 2019, 9:17 PM

Step-by-step instructions I used for dev environment setup:

https://gist.github.com/montehurd/d227af99fdb753d739d40b98644f16c2

Restricted Application added a project: Multimedia. · View Herald TranscriptAug 10 2019, 11:54 PM
Ramsey-WMF closed this task as Resolved.Dec 17 2019, 5:42 PM
Ramsey-WMF claimed this task.

We did it!